package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkCommonAssigned;
import com.ruoyi.system.domain.task.TkCommonAssignedExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkCommonAssignedMapper {
    long countByExample(TkCommonAssignedExample example);

    int deleteByExample(TkCommonAssignedExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkCommonAssigned record);

    int insertSelective(TkCommonAssigned record);

    List<TkCommonAssigned> selectByExample(TkCommonAssignedExample example);

    TkCommonAssigned selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkCommonAssigned record, @Param("example") TkCommonAssignedExample example);

    int updateByExample(@Param("record") TkCommonAssigned record, @Param("example") TkCommonAssignedExample example);

    int updateByPrimaryKeySelective(TkCommonAssigned record);

    int updateByPrimaryKey(TkCommonAssigned record);
}